Update file

  • PUT
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /files
  • /:path

Update the content of an existing file in the pipeline filesystem by its path. The file is saved as a static file of the pipeline.

Request

REQUIRED SCOPES
PIPELINE_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

pathrequiredstring
The path of the file in the pipeline filesystem

Constraints: Pattern: .+

Example: "app/docs/report.pdf"

BODY PARAMETERS
contentrequiredstring
The Base64-encoded content of the file

Response

RESPONSE BODY
statestring
The state of the operation, OK when successful
messagestring
An optional message describing the result of the operation
codeinteger
An optional code with additional details of the result

Last modified on Aug 18, 2026

Request example

curl -X PUT "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/files/:path" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "content": "dXBkYXRlZCBjb250ZW50" }'